Subject: [PATCH] This patch detects if the system clock on the sequoia is 33.000 MHz
or 33.333 MHz.
Signed-off-by: Jeffrey Mann <mannj@embeddedplanet.com>
---
 include/configs/sequoia.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/include/configs/sequoia.h b/include/configs/sequoia.h
index 1f19621..213ae6c
--- a/include/configs/sequoia.h
+++ b/include/configs/sequoia.h
@@ -38,7 +38,8 @@ #else
 #define CONFIG_440GRX		1		/* Specific PPC440GRx	*/
 #endif
 #define CONFIG_4xx		1		/* ... PPC4xx family	*/
-#define CONFIG_SYS_CLK_FREQ	33000000	/* external freq to pll	*/
+/* external freq to pll	*/
+#define CONFIG_SYS_CLK_FREQ	( (in8(0xc0000003)&0x80) ? 33333333 : 33000000 )	
 
 #define CONFIG_BOARD_EARLY_INIT_F 1		/* Call board_early_init_f */
 #define CONFIG_MISC_INIT_R	1		/* Call misc_init_r	*/
-- 
1.4.1

